%global pkgname django-helpdesk

Name:           python-django-helpdesk
Version:        0.1.12
Release:        1%{?dist}
Summary:        A Django powered ticket tracker for small enterprise

Group:          Development/Languages
License:        BSD
URL:            https://github.com/rossp/django-helpdesk
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:	python-simplejson
BuildRequires:  pytz
Requires:       Django14
BuildRequires:  Django14

%description

Django-helpdesk - A Django powered ticket tracker for small enterprise.

Copyright 2009-11 Jutda and Ross Poulton. All Rights Reserved. See LICENSE 
for details.

django-helpdesk was formerly known as Jutda Helpdesk, named after the 
company who originally created it. As of January 2011 the name has been 
changed to reflect what it really is: a Django-powered ticket tracker 
with contributors reaching far beyond Jutda.

Complete documentation is available in the docs/ directory, or online 
at http://django-helpdesk.readthedocs.org/.

You can see a demo installation at http://django-helpdesk-demo.herokuapp.com/

%prep
%setup -q -n %{pkgname}-%{version} 
rm -rf %{pkgname}.egg-info
rm -rf helpdesk/management/commands/*.py
rm -rf helpdesk/static/helpdesk/helpdesk-print.css

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd %{buildroot} && find . -name 'django*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
   >> %{pkgname}.lang

%files -f %{pkgname}.lang
%doc LICENSE.3RDPARTY LICENSE
%{python_sitelib}/helpdesk
%{python_sitelib}/django_helpdesk-*.egg-info

%changelog
* Fri Sep 19 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.12-1
- New Upstream Version

* Thu Oct 24 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.11-1
- New Upstream Version
- change to django14

* Mon Feb 18 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.1.8 -1
- New Upstream Version
- add pytz

* Fri Sep 28 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-3
- Fix BZ 858025 comment 3
 
* Wed Sep 26 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-2
- Fix BZ 858025 comment 2

* Mon Sep 17 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.7b-1
- Initial Import
